Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.travelingtournament.persistence
Class TravelingTournamentExporter

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionExporter
              org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter
                  org.optaplanner.examples.travelingtournament.persistence.TravelingTournamentExporter

    public class TravelingTournamentExporter

extends AbstractTxtSolutionExporter

Nested Class Summary
`class` | `TravelingTournamentExporter.TravelingTournamentOutputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter
`AbstractTxtSolutionExporter.TxtOutputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`AbstractSolutionExporter.OutputBuilder`

Field Summary

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter
`DEFAULT_OUTPUT_FILE_SUFFIX`

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`solutionDao`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`TravelingTournamentExporter()`

Method Summary
`AbstractTxtSolutionExporter.TxtOutputBuilder` | `createTxtOutputBuilder()`
`protected String` | `getOutputFileSuffix()`
`static void` | `main(String[] args)`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter
`writeSolution`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`convertAll, getInputDir, getInputFileSuffix, getOutputDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TravelingTournamentExporter

    public TravelingTournamentExporter()

Method Detail

### main

    public static void main(String[] args)

### getOutputFileSuffix

    protected String getOutputFileSuffix()

  Overrides:
    `getOutputFileSuffix` in class `AbstractTxtSolutionExporter`

### createTxtOutputBuilder

    public AbstractTxtSolutionExporter.TxtOutputBuilder createTxtOutputBuilder()

  Specified by:
    `createTxtOutputBuilder` in class `AbstractTxtSolutionExporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.